db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jean T. Anderson" <...@bristowhill.com>
Subject Re: Can I build the derby website using Forrest .8?
Date Sat, 08 Dec 2007 00:38:22 GMT
Jean T. Anderson wrote:
> Kathey Marsden wrote:
>> http://db.apache.org/derby/papers/derby_web.html says to use Forrest 
>> .7, but is it ok now to use Forrest .8.  I remember a bug, FOR-555  
>> that made the release process a pain.  I think that is supposed to be 
>> fixed for Forrest .8.
>
> Hi, Kathy, I think it needs to be converted for Forrest .8.  I'll try 
> to take a look at it this weekend to see what needs to be done (but 
> anyone else feel free to jump in).

I found the upgrade notes here:

http://forrest.apache.org/docs_0_80/upgrading_08.html

The general upgrade tip is:

> In a new workspace, create a fresh 'forrest seed' site, then tweak its 
> forrest.properties and skinconf.xml until it reflects your old site. 
> When it is ready, replace your project's skinconf.xml and 
> forrest.properties files. Any remaining issues would concern other 
> aspects of your configuration, such as site.xml and your actual content.

It sounds like it will take some fussing, but it fixes both FOR-555 and 
FOR-408, so it's definitely worth doing.

If anyone wants to take on this upgrade, let me know and I'll help you. 
Otherwise, I may try to look at it over the holiday break.

 -jean


Mime
View raw message